org.apache.solr.client.solrj.request

## Class ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest<T,ConfigSetAdminResponse>
    - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T>

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete
  Enclosing class:
    ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>

      protected abstract static class ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>
      extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>, ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete, ConfigSetAdminRequest.List`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `configSetName`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConfigSetSpecificAdminRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConfigSetAdminResponse` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `String` | `getConfigSetName()`
    `SolrParams` | `getParams()`
    `T` | `setConfigSetName(String configSetName)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `getContentStreams, getThis, setAction`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configSetName

          protected String configSetName

  - ### Constructor Detail

    - #### ConfigSetSpecificAdminRequest

          protected ConfigSetSpecificAdminRequest()

  - ### Method Detail

    - #### setConfigSetName

          public final T setConfigSetName(String configSetName)

    - #### getConfigSetName

          public final String getConfigSetName()

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `ConfigSetAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>,ConfigSetAdminResponse>`

    - #### createResponse

          protected ConfigSetAdminResponse createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `ConfigSetAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>,ConfigSetAdminResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.